import { ElLoading } from 'element-plus'

let loadingInstance:any = null; // 存储当前的加载实例
 
// 显示加载动画
export const showLoading = () => {
  if (!loadingInstance) {
    loadingInstance = ElLoading.service({
      lock: true, // 锁定屏幕，防止用户在加载过程中进行其他操作
      text: '加载中...', // 自定义加载提示文本
      background: 'rgba(0, 0, 0, 0)', // 自定义背景颜色
      //spinner: null, // 自定义加载动画（可选）
      fullscreen: true // 全屏模式
    });
  }
};
 
// 隐藏加载动画
export const hideLoading = () => {
  if (loadingInstance) {
    loadingInstance.close() // 关闭加载动画
    loadingInstance = null // 重置实例
  }
};